Unverified Commit 123291c0 authored by Mikhail Glushenkov's avatar Mikhail Glushenkov
Browse files

Version bump.

parent 20dcb1a8
name: Cabal
version: 2.3.0.0
version: 2.5.0.0
copyright: 2003-2018, Cabal Development Team (see AUTHORS file)
license: BSD3
license-file: LICENSE
......
VERSION=2.3.0.0
VERSION=2.5.0.0
#KIND=devel
KIND=rc
......
......@@ -13,7 +13,7 @@ import sphinx_rtd_theme
sys.path.insert(0, os.path.abspath('.'))
import cabaldomain
version = "2.3.0.0"
version = "2.5.0.0"
extensions = ['sphinx.ext.extlinks']
......
......@@ -27,7 +27,7 @@ build_script:
- cabal %CABOPTS% new-test Cabal
- appveyor-retry cabal %CABOPTS% new-build exe:cabal exe:cabal-tests --only-dependencies
- cabal %CABOPTS% new-build exe:cabal
- cabal %CABOPTS% new-run cabal-tests -- -j3 --with-cabal=dist-newstyle\build\x86_64-windows\ghc-8.0.2\cabal-install-2.3.0.0\build\cabal\cabal.exe
- cabal %CABOPTS% new-run cabal-tests -- -j3 --with-cabal=dist-newstyle\build\x86_64-windows\ghc-8.0.2\cabal-install-2.5.0.0\build\cabal\cabal.exe
- appveyor-retry cabal %CABOPTS% new-build cabal-install:tests --only-dependencies
- cd cabal-install
- cabal %CABOPTS% new-run cabal-install:memory-usage-tests
......
......@@ -221,8 +221,8 @@ NETWORK_URI_VER="2.6.1.0"; NETWORK_URI_VER_REGEXP="2\.6\.(0\.[2-9]|[1-9])"
# >= 2.6.0.2 && < 2.7
NETWORK_VER="2.7.0.0"; NETWORK_VER_REGEXP="2\.[0-7]\."
# >= 2.0 && < 2.7
CABAL_VER="2.3.0.0"; CABAL_VER_REGEXP="2\.3\.[0-9]"
# >= 2.3 && < 2.4
CABAL_VER="2.5.0.0"; CABAL_VER_REGEXP="2\.5\.[0-9]"
# >= 2.5 && < 2.6
TRANS_VER="0.5.5.0"; TRANS_VER_REGEXP="0\.[45]\."
# >= 0.2.* && < 0.6
MTL_VER="2.2.2"; MTL_VER_REGEXP="[2]\."
......
Name: cabal-install
Version: 2.3.0.0
Version: 2.5.0.0
Synopsis: The command-line interface for Cabal and Hackage.
Description:
The \'cabal\' command-line program simplifies the process of managing
......
# cabal check
Warning: The package will not build sanely due to these errors:
Warning: This package description follows version 2.4 of the Cabal specification. This tool only supports up to version 2.3.0.0.
Warning: These warnings may cause trouble when distributing the package:
Warning: In 'data-files': the pattern 'another-non-existent-directory/**/*.dat' attempts to match files in the directory 'another-non-existent-directory', but there is no directory by that name.
Warning: In 'extra-doc-files': the pattern 'non-existent-directory/*.html' attempts to match files in the directory 'non-existent-directory', but there is no directory by that name.
......
name: cabal-testsuite
version: 2.3.0.0
version: 2.5.0.0
copyright: 2003-2018, Cabal Development Team (see AUTHORS file)
license: BSD3
license-file: LICENSE
......
name: solver-benchmarks
version: 2.3.0.0
version: 2.5.0.0
copyright: 2003-2017, Cabal Development Team (see AUTHORS file)
license: BSD3
license-file: LICENSE
......
set -e
HACKAGE_REPO_TOOL_VERSION="0.1.1"
CABAL_VERSION="2.3.0.0"
CABAL_VERSION="2.5.0.0"
if [ "$TRAVIS_OS_NAME" = "linux" ]; then
ARCH="x86_64-linux"
......
......@@ -8,7 +8,7 @@ deploy() {
(cd cabal-website && git checkout --track -b gh-pages origin/gh-pages)
rm -rf cabal-website/doc
mkdir -p cabal-website/doc/html
mv dist-newstyle/build/`uname -m`-$TRAVIS_OS_NAME/ghc-$GHCVER/Cabal-2.3.0.0/doc/html/Cabal \
mv dist-newstyle/build/`uname -m`-$TRAVIS_OS_NAME/ghc-$GHCVER/Cabal-2.5.0.0/doc/html/Cabal \
cabal-website/doc/html/Cabal
(cd cabal-website && git add --all .)
(cd cabal-website && \
......
......@@ -44,7 +44,7 @@ CABALTESTS=${CABALTESTS-true}
CABALINSTALLTESTS=${CABALINSTALLTESTS-true}
CABALSUITETESTS=${CABALSUITETESTS-true}
CABAL_VERSION="2.3.0.0"
CABAL_VERSION="2.5.0.0"
if [ "$(uname)" = "Linux" ]; then
ARCH="x86_64-linux"
else
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment